<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" href="../CSS and JS\style.css">
	<link rel="stylesheet" href="../CSS and JS\prism.css">
	<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

	<title>Funksjon</title>
</head>

<body>
	<h1>Funksjon</h1>

	En funskjon i C++ er på formen:
	<pre>
		<button class="copy" title="Copy"><i class="material-icons" style="font-size: 1rem; position: relative; top: .15rem;">content_copy</i></button>
<code class="language-cpp">
return_type function_name(parameter_type parameter_name, etc) {
	// Do stuff
	return some_value;
}
</code>
	</pre>

	Eksempel:
	<pre>
		<button class="copy" title="Copy"><i class="material-icons" style="font-size: 1rem; position: relative; top: .15rem;">content_copy</i></button>
<code class="language-cpp">
int multiply(int a, int b) {
	return a*b;
}
</code>
	</pre>

	Hvis du ønsker å lage en funskjon som ikke returnerer en verdi kan du bruke void:
	<pre>
		<button class="copy" title="Copy"><i class="material-icons" style="font-size: 1rem; position: relative; top: .15rem;">content_copy</i></button>
<code class="language-cpp">
void print(string) {
	std::cout &lt&lt string &lt&lt std::endl;
}
</code>
	</pre>

	<script src="../CSS and JS\prism.js"></script>
	<script src="../CSS and JS/copy.js"></script>
</body>

</html